Bug 1203647 - kie-config-cli: Error message when pushing changes with result: Pushed successfully
Summary: kie-config-cli: Error message when pushing changes with result: Pushed succes...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: DR1
: 6.2.0
Assignee: Marco Rietveld
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 10:37 UTC by Pavel Kralik
Modified: 2020-03-27 20:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:07:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Pavel Kralik 2015-03-19 10:37:51 UTC
Description of problem:
When trying to push changes in kie-config-cli I got an error with result: Pushed successfully.

>>>>>>>>>>>>>>>>>>>>>>>>>>>
>>Please enter command (type help to see available commands): 
add-role-project
>>Repository alias:bpms-assets
>>Select project:
1) bpmnBuildTest
2) bpms-perf
3) clustering
4) console
5) dashboard
6) designer
7) dtables
8) Evaluation
9) formmodeler
10) gitproject
11) guvnor
12) HR
13) integration
14) IntegrationTests
15) invalid-assets
16) kdeployment
17) not-deployable
18) ruleflowgroups
19) test-child
20) test-parent
21) WhiteList
4
>>Security roles (comma separated list):admin
Result:
Role admin added successfully to project console

>>>>>>>>>>>>>>>>>>>>>>>>>>>
>>Please enter command (type help to see available commands): 
push-changes
2015-03-19 11:19:50,570 [main] ERROR Failed to register filesystem git://system?push=ssh://testadmin@localhost:8001/system with DEFAULT_FS_TYPE. Returning null.
org.uberfire.java.nio.IOException: java.lang.RuntimeException: org.eclipse.jgit.api.errors.TransportException: ssh://testadmin@localhost:8001/system: Missing unknown 39c8fe313d76d763e457b065c3652cd036a3c82b
	at org.uberfire.java.nio.fs.jgit.JGitFileSystemProvider.getFileSystem(JGitFileSystemProvider.java:663) ~[uberfire-nio2-jgit-0.5.0.CR13-redhat-1.jar:0.5.0.CR13-redhat-1]
	at org.uberfire.java.nio.file.FileSystems.getFileSystem(FileSystems.java:66) ~[uberfire-nio2-api-0.5.0.CR13-redhat-1.jar:0.5.0.CR13-redhat-1]
	at org.uberfire.io.impl.AbstractIOService.getFileSystem(AbstractIOService.java:214) ~[uberfire-io-0.5.0.CR13-redhat-1.jar:0.5.0.CR13-redhat-1]
	at org.kie.config.cli.command.impl.PushGitRepositoryCliCommand.execute(PushGitRepositoryCliCommand.java:34) [kie-config-cli-6.2.0.Final-redhat-2.jar:6.2.0.Final-redhat-2]
	at org.kie.config.cli.CmdMain.main(CmdMain.java:97) [kie-config-cli-6.2.0.Final-redhat-2.jar:6.2.0.Final-redhat-2]
Caused by: java.lang.RuntimeException: org.eclipse.jgit.api.errors.TransportException: ssh://testadmin@localhost:8001/system: Missing unknown 39c8fe313d76d763e457b065c3652cd036a3c82b
	at org.uberfire.java.nio.fs.jgit.util.JGitUtil.pushRepository(JGitUtil.java:332) ~[uberfire-nio2-jgit-0.5.0.CR13-redhat-1.jar:0.5.0.CR13-redhat-1]
	at org.uberfire.java.nio.fs.jgit.JGitFileSystemProvider.getFileSystem(JGitFileSystemProvider.java:661) ~[uberfire-nio2-jgit-0.5.0.CR13-redhat-1.jar:0.5.0.CR13-redhat-1]
	... 4 common frames omitted
Caused by: org.eclipse.jgit.api.errors.TransportException: ssh://testadmin@localhost:8001/system: Missing unknown 39c8fe313d76d763e457b065c3652cd036a3c82b
	at org.eclipse.jgit.api.PushCommand.call(PushCommand.java:160) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.uberfire.java.nio.fs.jgit.util.JGitUtil.pushRepository(JGitUtil.java:321) ~[uberfire-nio2-jgit-0.5.0.CR13-redhat-1.jar:0.5.0.CR13-redhat-1]
	... 5 common frames omitted
Caused by: org.eclipse.jgit.errors.TransportException: ssh://testadmin@localhost:8001/system: Missing unknown 39c8fe313d76d763e457b065c3652cd036a3c82b
	at org.eclipse.jgit.transport.BasePackPushConnection.doPush(BasePackPushConnection.java:217) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.transport.BasePackPushConnection.push(BasePackPushConnection.java:152) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.transport.PushProcess.execute(PushProcess.java:165) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.transport.Transport.push(Transport.java:1173) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.api.PushCommand.call(PushCommand.java:156) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	... 6 common frames omitted
Caused by: org.eclipse.jgit.errors.MissingObjectException: Missing unknown 39c8fe313d76d763e457b065c3652cd036a3c82b
	at org.eclipse.jgit.internal.storage.file.WindowCursor.open(WindowCursor.java:148) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.lib.ObjectReader.open(ObjectReader.java:229) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.revwalk.RevWalk.parseAny(RevWalk.java:809) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.internal.storage.pack.PackWriterBitmapWalker.findObjects(PackWriterBitmapWalker.java:95) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.internal.storage.pack.PackWriter.findObjectsToPackUsingBitmaps(PackWriter.java:1847) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.internal.storage.pack.PackWriter.findObjectsToPack(PackWriter.java:1665) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.internal.storage.pack.PackWriter.preparePack(PackWriter.java:797) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.internal.storage.pack.PackWriter.preparePack(PackWriter.java:760) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.transport.BasePackPushConnection.writePack(BasePackPushConnection.java:300) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	at org.eclipse.jgit.transport.BasePackPushConnection.doPush(BasePackPushConnection.java:197) ~[org.eclipse.jgit-3.3.2.201404171909-r.jar:3.3.2.201404171909-r]
	... 10 common frames omitted
Result:
Pushed successfully
>>>>>>>>>>>>>>>>>>>>>>>>>>>


Version-Release number of selected component (if applicable):
BPMS 6.1.0.ER6

How reproducible:
Always

Steps to Reproduce:
1. add-role-project to any project eg. console and push-changes
2. add-role-project to the project again eg. console and push-changes

Actual results:
Error message

Expected results:
Cute message what happened 

Additional info:

Comment 2 Maciej Swiderski 2015-03-23 14:00:15 UTC
even though I couldn't reproduce I improved the push command to report proper status

kie-wb-distributions
master:
https://github.com/droolsjbpm/kie-wb-distributions/commit/4cc98a247beae4d3f89f14a6373f9ae96ab30a67

Comment 3 Pavel Kralik 2015-09-07 12:50:24 UTC
BPMS 6.2.0.ER1


Note You need to log in before you can comment on or make changes to this bug.